Chat
List room images
GET
/chat-rooms/:roomId/imagesList images uploaded to the chat room, newest first. Images from deleted messages are excluded.
| Auth | Login required |
|---|
Path parameters
roomIdstringrequiredChat room ID.
Query parameters
pagenumberoptionalPage number (1-based). Default 1.
perPagenumberoptionalItems per page. Default 30, maximum 100.
Request
curl https://api.4s.link/chat-rooms/ROOM_ID/images \-H "Authorization: Bearer 4s_at_..."
Example response
{"items": [{"messageId": "m1a2b3c4-...","senderId": "a1b2c3d4-...","imageUrl": "https://.../chat-messages/r1a2b3c4/....jpg","createdAt": "2026-08-28T00:00:00.000Z"}],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}